#!/bin/bash

if [ x$usearch == x ] ; then
	echo Must set \$usearch >> /dev/stderr
	exit 1
fi

out=../out/mock

rm -rf $out
mkdir -p $out

$usearch -fastq_mergepairs ../fq/Mock*_R1_*.fastq -fastqout $out/merged.fq -log $out/merge.log -fastq_maxdiffs 10 -fastq_maxdiffpct 10

$usearch -fastq_filter $out/merged.fq -fastq_maxee 1.0 -fastqout $out/filtered.fq -relabel Filt -log $out/filter.log

$usearch -derep_fulllength $out/filtered.fq -sizeout -fastaout $out/uniques.fa -relabel Uniq -log $out/derep.log

$usearch -cluster_otus $out/uniques.fa -minsize 2 -otus $out/otus.fa -relabel Otu -uparseout $out/uniques.up -log $out/cluster_otus.log

$usearch -uparse_ref $out/otus.fa -db ../ref/HMP_MOCK.v35.fasta -strand both -uparseout $out/otus.uparseref -log $out/uparse_ref.log

$usearch -uchime_ref $out/merged.fq -db ../ref/HMP_MOCK.v35.fasta -strand plus -nonchimerasq $out/merged_nonch.fq -log $out/uchime_ref.log

$usearch -uchime_ref $out/filtered.fq -db ../ref/HMP_MOCK.v35.fasta -strand plus -nonchimerasq $out/filtered_nonch.fq -log $out/uchime_ref.log

$usearch -usearch_global $out/merged_nonch.fq -db ../ref/HMP_MOCK.v35.fasta -strand plus -qout $out/qout.txt -log $out/qout.log -id 0.9

$usearch -usearch_global $out/filtered_nonch.fq -db ../ref/HMP_MOCK.v35.fasta -strand plus -qout $out/qout_filtered.txt -log $out/qout_filtered.log -id 0.9
