#!/bin/bash

if [ x$usearch == x ] ; then
	echo Must set \$usearch >> /dev/stderr
	exit 1
fi

out=../out/mouse

rm -rf $out
mkdir -p $out

$usearch -fastq_mergepairs ../fq/F3D*_R1_*.fastq -fastqout $out/merged.fq -relabel @ -log $out/merge.log -fastq_maxdiffs 10 -fastq_maxdiffpct 10

$usearch -fastq_filter $out/merged.fq -fastq_maxee 1.0 -fastaout $out/filtered.fa -relabel Filt -log $out/filter.log

$usearch -derep_fulllength $out/filtered.fa -sizeout -relabel Uniq -fastaout $out/uniques.fa -log $out/derep.log

$usearch -cluster_otus $out/uniques.fa -minsize 2 -otus $out/otus.fa -relabel Otu -log $out/cluster_otus.log

$usearch -utax $out/otus.fa -db ../utax/utax_16s_250.udb -strand plus \
  -fastaout $out/otus_tax.fa -utax_cutoff 0.9 -log $out/utax.log

$usearch -usearch_global $out/otus.fa -db ../utax/utax_16s_250.udb -strand plus \
  -id 0.97 -alnout $out/otus_ref.aln -userout $out/otus_ref.user -userfields query+target+id

$usearch -usearch_global $out/merged.fq -db $out/otus_tax.fa -strand plus -id 0.97 -log $out/make_otutab.log \
  -otutabout $out/otutab.txt -biomout $out/otutab.json -mothur_shared_out $out/otutab.mothur 
